> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /itchio/games/search

> Search and browse itch.io games by keyword and/or filters (sort, genre, tag, platform, pricing). Each result carries id, alias, name, url, author, tagline, genre, platforms, price, is_free, is_on_sale, image and rating.

**Price:** 5 credits



## OpenAPI

````yaml /openapi/games.json post /api/itchio/games/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/itchio/games/search:
    post:
      tags:
        - /itchio
      summary: /itchio/games/search
      description: >-
        Search and browse itch.io games by keyword and/or filters (sort, genre,
        tag, platform, pricing). Each result carries id, alias, name, url,
        author, tagline, genre, platforms, price, is_free, is_on_sale, image and
        rating.


        **Price:** 5 credits
      operationId: __api_itchio_games_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItchioGamesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ItchioGameSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ItchioGamesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        sort:
          anyOf:
            - $ref: '#/components/schemas/ItchioSort'
            - type: 'null'
        genre:
          anyOf:
            - $ref: '#/components/schemas/ItchioGenre'
            - type: 'null'
        tag:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        platform:
          anyOf:
            - $ref: '#/components/schemas/ItchioPlatform'
            - type: 'null'
        pricing:
          anyOf:
            - $ref: '#/components/schemas/ItchioPricing'
            - type: 'null'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    ItchioGameSearchResult:
      properties:
        '@type':
          type: string
          default: ItchioGameSearchResult
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - type: string
            - type: 'null'
        author_url:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        genre:
          anyOf:
            - type: string
            - type: 'null'
        platforms:
          items:
            type: string
          type: array
          default: []
        price:
          anyOf:
            - type: integer
            - type: 'null'
        is_free:
          type: boolean
          default: false
        is_on_sale:
          type: boolean
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - $ref: '#/components/schemas/ItchioGameRating'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ItchioSort:
      type: string
      enum:
        - new-and-popular
        - top-rated
        - top-sellers
        - newest
    ItchioGenre:
      type: string
      enum:
        - action
        - adventure
        - platformer
        - puzzle
        - rpg
        - shooter
        - simulation
        - sports
        - strategy
        - visual-novel
        - other
    ItchioPlatform:
      type: string
      enum:
        - windows
        - osx
        - linux
        - android
        - web
    ItchioPricing:
      type: string
      enum:
        - free
        - paid
        - on-sale
    ItchioGameRating:
      properties:
        '@type':
          type: string
          default: ItchioGameRating
        value:
          anyOf:
            - type: number
            - type: 'null'
        count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````